
# Generated by Django 4.1.13 on 2024-07-23 08:43

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('extension', '0015_alter_licensedjournal_extension_and_more'),
    ]

    operations = [
        migrations.RunSQL("""
            UPDATE extension_licensedjournal
            SET extension=subquery.new_extension_id
            FROM (SELECT lj.id AS lj_id, e.id AS new_extension_id
                  FROM extension_licensedjournal lj
                  JOIN auth_user au ON au.id = lj.user_id
                  JOIN extension_extension e ON e.user_id = au.id) AS subquery
            WHERE extension_licensedjournal.id=subquery.lj_id;
        """),
        migrations.RunSQL("""
            UPDATE extension_mirrorjournal
            SET extension=subquery.new_extension_id
            FROM (SELECT lj.id AS lj_id, e.id AS new_extension_id
                  FROM extension_mirrorjournal lj
                  JOIN auth_user au ON au.id = lj.user_id
                  JOIN extension_extension e ON e.user_id = au.id) AS subquery
            WHERE extension_mirrorjournal.id=subquery.lj_id;
        """),
    ]
